Skip to main content
DELETE
/
v1
/
dashboard_panels
/
{id}
Delete a dashboard panel
curl --request DELETE \
  --url https://api.rootly.com/v1/dashboard_panels/{id} \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "id": "<string>",
    "type": "dashboard_panels",
    "attributes": {
      "params": {
        "display": "line_chart",
        "description": "<string>",
        "table_fields": [
          "<string>"
        ],
        "legend": {
          "groups": "all"
        },
        "datalabels": {
          "enabled": true
        },
        "datasets": [
          {
            "name": "<string>",
            "collection": "alerts",
            "filter": [
              {
                "operation": "and",
                "rules": [
                  {
                    "operation": "and",
                    "condition": "=",
                    "key": "<string>",
                    "value": "<string>"
                  }
                ]
              }
            ],
            "group_by": "<string>",
            "aggregate": {
              "operation": "count",
              "key": "<string>",
              "cumulative": true
            }
          }
        ]
      },
      "dashboard_id": "<string>",
      "name": "<string>",
      "position": {
        "x": 123,
        "y": 123,
        "w": 123,
        "h": 123
      },
      "data": [
        {}
      ]
    }
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

id
string
required

Response

200 - application/vnd.api+json

dashboard panel deleted

data
object
required